unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, LightSpd;

type
  TForm1 = class(TForm)
    LightSpeed1: TLightSpeed;
    Timer1: TTimer;
    Timer2: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
  private
    { Private declarations }
  public
    MX,MY :integer;
    R :single;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  randomize;
  LightSpeed1.Active:=true;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  LightSpeed1.CenterX:=round(Width/2+cos(R)*sin(R/2)*Width/10);
  LightSpeed1.CenterY:=round(Height/2+sin(R)*Height/10);
  R:=R+20/Height; if R>=6.28*2 then R:=0;
end;

procedure TForm1.Timer2Timer(Sender: TObject);
begin
  LightSpeed1.StarsCount:=random(200);
  LightSpeed1.Speed:=tLightSpeedSpeed(random(7));
end;

end.
